Results 1 to 3 of 3

Thread: init-system-helpers_1.29_all.deb - error processing archive

  1. #1
    Junior Member
    Join Date
    Mar 2016
    Posts
    2

    Question init-system-helpers_1.29_all.deb - error processing archive

    I am running the Live distro 7.2.0 from USB flash drive. I ran sudo apt-get update then sudo apt-get upgrade leaving me with the following issue:

    Code:
    Preparing to unpack .../init-system-helpers_1.29_all.deb ...
    Unpacking init-system-helpers (1.29) over (1.24) ...
    dpkg: error processing archive /var/cache/apt/archives/init-system-helpers_1.29_all.deb (--unpack):
     trying to overwrite '/usr/share/man/man8/update-rc.d.8.gz', which is also in package sysv-rc 2:2.88dsf-53.2knoppix0
    Processing triggers for man-db (2.7.5-1) ...
    Errors were encountered while processing:
     /var/cache/apt/archives/init-system-helpers_1.29_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    knoppix@Microknoppix:~$
    If I run it again I get:
    Code:
    knoppix@Microknoppix:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    You might want to run 'apt-get -f install' to correct these.
    The following packages have unmet dependencies:
     sysvinit-utils : Depends: init-system-helpers (>= 1.25~) but 1.24 is installed
    E: Unmet dependencies. Try using -f.
    If I run 'sudo apt-get -f install'
    Code:
    Preparing to unpack .../init-system-helpers_1.29_all.deb ...
    Unpacking init-system-helpers (1.29) over (1.24) ...
    dpkg: error processing archive /var/cache/apt/archives/init-system-helpers_1.29_all.deb (--unpack):
     trying to overwrite '/usr/share/man/man8/update-rc.d.8.gz', which is also in package sysv-rc 2:2.88dsf-53.2knoppix0
    Processing triggers for man-db (2.7.5-1) ...
    Errors were encountered while processing:
     /var/cache/apt/archives/init-system-helpers_1.29_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    knoppix@Microknoppix:~$
    Thoughts on this issue?

  2. #2
    Senior Member registered user
    Join Date
    May 2006
    Location
    Columbia, Maryland USA
    Posts
    1,631
    Quote Originally Posted by k3tonan View Post
    Thoughts on this issue?
    Been there, done that. Not a good idea on two counts.

    1. You need to ponder what forcing synaptic to deal with unmet dependencies really means.
    It means you either know what to expect or not. If you don't know, results of forcing could be surprising.

    2. Klaus K mixes different versions of Debian material to arrive at Knoppix. In doing so, he always
    makes sure his final result works as presented. But he never guarantees that it will survive a
    simple upgrade. It usually doesn't, we often find. Klaus usually brings everything up-to-date
    about once a year, and some of us find that more than adequate.

  3. #3
    Junior Member
    Join Date
    Mar 2016
    Posts
    2
    Thanks! Great explanation and that works for me.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •